Перейти к основному содержанию
Дата обновления: 2026-06-06

Volcengine

Volcengine provides video generation capabilities from ByteDance.

Create Video Task

POST /volc/v1/contents/generations/tasks

Request Parameters

ParameterTypeRequiredDescription
modelstringYesModel name
contentobjectYesContent configuration
content.promptstringYesVideo description prompt
content.image_urlstringNoReference image URL
content.aspect_ratiostringNoAspect ratio

Request Examples

curl -X POST https://api.crazyrouter.com/volc/v1/contents/generations/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "doubao-video",
    "content": {
      "prompt": "A butterfly fluttering among flowers, macro lens shot",
      "aspect_ratio": "16:9"
    }
  }'
import requests

response = requests.post(
    "https://api.crazyrouter.com/volc/v1/contents/generations/tasks",
    headers={
        "Content-Type": "application/json",
        "Authorization": "Bearer YOUR_API_KEY"
    },
    json={
        "model": "doubao-video",
        "content": {
            "prompt": "A butterfly fluttering among flowers, macro lens shot",
            "aspect_ratio": "16:9"
        }
    }
)

print(response.json())

Response Example

{
  "code": 0,
  "message": "success",
  "data": {
    "task_id": "volc_task_abc123"
  }
}

Query Task

GET /volc/v1/contents/generations/tasks/{task_id}
cURL
curl https://api.crazyrouter.com/volc/v1/contents/generations/tasks/volc_task_abc123 \
  -H "Authorization: Bearer YOUR_API_KEY"

Response Example (Completed)

{
  "code": 0,
  "message": "success",
  "data": {
    "task_id": "volc_task_abc123",
    "status": "SUCCESS",
    "content": {
      "video_url": "https://cdn.volcengine.com/videos/...",
      "duration": 5
    }
  }
}

Task Status

StatusDescription
SUBMITTEDSubmitted
PROCESSINGProcessing
SUCCESSSucceeded
FAILEDFailed